# OgreResourceBackgroundQueue.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreCommon.h"`
`#include "OgreSingleton.h"`
`#include "OgreResource.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Classes

struct | Ogre::BackgroundProcessResult
| Encapsulates the result of a background queue request. More...
class | Ogre::ResourceBackgroundQueue
| This class is used to perform Resource operations in a background thread. More...
class | Ogre::ResourceBackgroundQueue::Listener
| This abstract listener interface lets you get notifications of completed background processes instead of having to poll ticket statuses. More...
struct | Ogre::ResourceBackgroundQueue::Request
| Encapsulates a queued request for the background queue. More...
struct | Ogre::ResourceBackgroundQueue::QueuedNotification
| Struct that holds details of queued notifications. More...

## Typedefs

typedef unsigned long | Ogre::BackgroundProcessTicket
| Identifier of a background process.

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Jul 26 11:32:22 2009